# This file is auto-generated by openmediavault (https://www.openmediavault.org)
# WARNING: Do not edit this file, your changes will get lost.

# omv7-gitea
# Gitea en OpenMediaVault v7
---
services:
  my_service:
    environment:
      - USER_UID=${GITEA_UID}
      - USER_GID=${GITEA_GID}
      - GITEA__database__DB_TYPE=${RDBMS}
      - GITEA__database__HOST=my_db:${RDBMS_PORT}
      - GITEA__database__NAME=${DB_NAME}
      - GITEA__database__USER=${DB_USER}
      - GITEA__database__PASSWD=${DB_PASSWD}
    volumes:
      - ${GITEA_VOL_HOST}:${VOL_CONTAINER}
      - ${PATH_VOL_HOST_SSH_KEY}:${GITEA_VOL_CONTAINER_SSH_KEY}
    ports:
#      - "${GITEA_SSH}:${GITEA_SSH_CONTAINER}"
      - "${GITEA_IP_SSH_EXPOSE}:${GITEA_SSH_CONTAINER}"
  my_db:
    environment:
      - POSTGRES_USER=${DB_USER}
      - POSTGRES_PASSWORD=${DB_PASSWD}
      - POSTGRES_DB=${DB_NAME}
    volumes:
      - ${POSTGRES_VOL_HOST}:${POSTGRES_VOL_CONTAINER}
